/***************************************************************************
 *   Copyright (C) 2004 by Michael Rex                                     *
 *   me@rexi.org                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CONFIGPARSER_H
#define CONFIGPARSER_H

#define BOINC_DIR               "boincdir"
#define WORKUNIT_DIR            "workunitdir"
#define CLIENT_COMMAND          "clientcommand"
#define CLIENT_ARGUMENTS        "clientargs"
#define MONOCHROME              "monochrome"
#define REFRESH_RATE            "refresh"
#define LOG_FILE                "logfile"
#define APPEND_TO_LOG           "appendlog"

void parse_rc_file(const char *rcfile, config_items *cfg);

#endif
