/***************************************************************************
 *   Copyright (C) 2004 by Michael Rex                                     *
 *   me@rexi.org                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SETIXML_H
#define SETIXML_H

#define WORKUNIT_NAME           "name"

#define RESULT_WORKUNIT_NAME    "wu_name"
#define RESULT_NAME             "name"
#define RESULT_FINAL_CPU_TIME   "final_cpu_time"
#define RESULT_STATE            "state"
#define RESULT_DEADLINE         "report_deadline"
#define RESULT_READY            "ready_to_report"

#define ACTIVE_SLOT             "slot"
#define ACTIVE_PROGRESS         "fraction_done"
#define ACTIVE_RESULT_NAME      "result_name"
#define ACTIVE_CPU_TIME         "current_cpu_time"

#define PROJECT_NAME            "project_name"
#define PROJECT_URL             "master_url"
#define PROJECT_USER            "user_name"
#define PROJECT_TEAM            "team_name"
#define PROJECT_USER_CREATE_TIME    "user_create_time"
#define PROJECT_HOSTID          "hostid"
#define PROJECT_EXP_AVG_CPU     "exp_avg_cpu"
#define PROJECT_EXP_AVG_MOD_TIME    "exp_avg_mod_time"
#define PROJECT_USER_TOTAL_CREDIT   "user_total_credit"
#define PROJECT_USER_AVG_CREDIT     "user_expavg_credit"
#define PROJECT_HOST_TOTAL_CREDIT   "host_total_credit"
#define PROJECT_HOST_AVG_CREDIT "host_expavg_credit"

#define CLIENT_PLATFORM_NAME    "platform_name"

#define HOST_CALCULATED         "p_calculated"

#define NET_UPLOAD              "bwup"
#define NET_DOWNLOAD            "bwdown"


#define DOMAIN_NAME "domain_name"
#define IP_ADDRESS "ip_addr"
#define NUMBER_CPUS "p_ncpus"
#define OS_NAME "os_name"
#define OS_VERSION "os_version"
#define CPU_VENDOR "p_vendor"
#define CPU_MODEL "p_model"
#define TIMEZONE "timezone"
#define FLOAT_OPS "p_fpops"
#define INTEGER_OPS "p_iops"
#define MEMORY_BYTES "m_nbytes"
#define DISK_TOTAL_BYTES "d_total"
#define DISK_FREE_BYTES "d_free"


#define XPATH_NETSTATS          "/client_state/net_stats"

#endif
